Bug 1656401 - Killall fails when -INT specified in capitals
Summary: Killall fails when -INT specified in capitals
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: psmisc
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Görig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 12:32 UTC by Hamish McIntyre-Bhatty
Modified: 2019-11-27 20:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:15:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gitlab psmisc/psmisc#13 0 None None None 2018-12-05 12:32:40 UTC

Description Hamish McIntyre-Bhatty 2018-12-05 12:32:40 UTC
Description of problem:

When the -INT argument is specified in capitals, killall returns usage information rather than attempting to kill a process. Affects 28 and 29, don't know about Rawhide.

Version-Release number of selected component (if applicable):

23.1

How reproducible:

Always.

Steps to Reproduce:
1. Run "killall -INT foo"
2. Usage information is returned.
3. Run "killall -int foo"
4. "foo: no process found" is returned.

Actual results:

Usage text displayed.

Expected results:

Process is killed/not found.

Additional info:

This is fixed in version 23.2 of psmisc https://gitlab.com/psmisc/psmisc/issues/13

Comment 1 Hamish McIntyre-Bhatty 2018-12-05 12:35:02 UTC
NB: Title of the linked bug report is misleading, but I have downloaded and can comfirm that it works with 23.2.

Comment 2 Ben Cotton 2019-10-31 20:21:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:15:01 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.